org.eclipse.emf.cdo.util

## Class DanglingReferenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.DanglingReferenceException

- All Implemented Interfaces:
    java.io.Serializable

      public class DanglingReferenceException
      extends CDOException

  An unchecked exception being thrown from `CDOUserTransaction.commit()` if the commit `change set` is referencing `objects` that are not contained by any `resource` before the server is contacted.
  Since:
    2.0
  Author:
    Simon McDuff
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DanglingReferenceException(EObject object)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EObject` | `getTarget()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DanglingReferenceException

          public DanglingReferenceException(EObject object)

  - ### Method Detail

    - #### getTarget

          public EObject getTarget()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html